#ifndef GEISTER_H

#define GEISTER_H 1

#define BDSIZ 50
#define BDW 6
#define BDH 6

#define PLAYER0 0
#define PLAYER1 1
#define RED 0
#define BLUE 1

#ifdef GEISTER_C
const int ghostcolorid[2][2]={{0,1},{2,3}};
#else
extern int ghostcolorid[2][2];
#endif

#define EMPTY 4
#define UNKNOWN 5
#define NORTH 0
#define EAST 1
#define SOUTH 2
#define WEST 3
#define HIT 1
#define WIN 1
#define LOSE -1
#define GAMECONTINUE 0
#define THRESHOLD 80
#define DIR_X 0
#define DIR_Y 1
#define CONTINUE 0
#define BREAK 1
#define EXPLORATION 0
#define STRATEGY 1
#define STRATEGY_GRID 2
#define STRATEGY_ESCAPE 3
#define STRATEGY_RED_FOWARD 4
#define START 2
#define LOC_X 0
#define LOC_Y 1
#define COLOR 2
#define BLUE_VALUE 3
#define RANK 4

struct GHOSTSTATE {int x, y, c;};
struct STATE {
  int board[BDW][BDH], ghost_num[2][2];
  struct GHOSTSTATE ghost[2][8];
};
struct ACTION{int x, y, dir;};

#endif
